﻿/*  Copyright 2007 Philip D. Bober
    REMOTE ETHER ARACHNID WARTIME is distributed under the terms of the GNU General Public License.

    This file is part of REMOTE ETHER ARACHNID WARTIME.

    REMOTE ETHER ARACHNID WARTIME is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    REMOTE ETHER ARACHNID WARTIME is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with REMOTE ETHER ARACHNID WARTIME.  If not, see <http://www.gnu.org/licenses/>.
*/
package {
	public class GameData{
		public static var gotTree:Boolean=false;
		public static var shotCount:uint=0;
		public static var hitCount:uint=0;
		public static var startTime:uint;
		public static var endTime:uint;
		public static var enemyCount:uint;
		public static var enemyDead:uint;
		public static var wonLevel:Boolean=false;
		public static var wonGame:Boolean=false;
		public static var cheated:Boolean=false;
		public static var nextLevel:Boolean=false;
		public static var currentLevel:uint=1;
		public static var shootChance:Number=0.6;
		public static function reset():void{
			cheated=false;
			currentLevel=1;
			levelReset();
		}
		public static function levelReset():void{
			wonLevel=wonGame=gotTree=nextLevel=false;
			enemyCount=enemyDead=shotCount=hitCount=0;
			shootChance=0.6;
			startTime=Time.getReal();
			endTime=0;
		}
	}
}