﻿/*  Copyright 2007 Philip D. Bober
    REMOTE ETHER ARACHNID WARTIME is distributed under the terms of the GNU General Public License.

    This file is part of REMOTE ETHER ARACHNID WARTIME.

    REMOTE ETHER ARACHNID WARTIME is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    REMOTE ETHER ARACHNID WARTIME is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with REMOTE ETHER ARACHNID WARTIME.  If not, see <http://www.gnu.org/licenses/>.
*/
package {
	import flash.display.*;
	import flash.geom.*;
	import flash.events.*;
	import flash.text.*;

	public class InstructionsPage extends TextPage {
		public function InstructionsPage(switcher:ModeSwitcher,stage:Stage){
			super(switcher,stage);
			blankBG(stage);
			var when:String=getDateString();


			var menuItems:Array=[
								 "<STORY","FROM BEGINNING SPIDER HATE MAN",
								 "BUT ON "+when+" THE",
								 "INVASION START. YOU ARE FIGHTER",
								 "WITH AREA51 SPACEBOAT YOU MUST","DEFEND ALL EARTH...",
								 "<INSTRUCIONS","MOVE SHIP WITH MOVE MOUSE",
								 "CLICK BUTTON FOR BULLETS","AVOID CRASHING TO VILLIAN",
								 "AVOID VILLIAN SHOTS","COLLECT TREE FOR HIGHER SCORE",
								 ];
			renderTextList(stage,5,20,menuItems);
			
			addLocalEventListener(stage,MouseEvent.MOUSE_UP,mouseClicked);
		}
		private function twoLetter(i:int):String{
			var s:String=new String(i);
			if(i<10){
				return "0"+s;
			}
			return s;
		}
		private function getDateString():String{
			var tm:Date = new Date();
			tm.setTime(tm.getTime() + 1000*60*20);
			var ampm:String="AM";
			var hours:int=tm.hours;
			if(hours>12){
				ampm="PM";
				hours-=12;
			}
			return tm.fullYear+"/"+twoLetter(tm.month+1)+"/"+twoLetter(tm.date)+" AT "+hours+":"+twoLetter(tm.minutes)+" "+ampm;
		}
		private function mouseClicked(me:MouseEvent){
			me.stopImmediatePropagation();
			this.switcher.simpleMode(Mode.MODE_MENU);
		}

		
	}
}