﻿/*  Copyright 2007 Philip D. Bober
    REMOTE ETHER ARACHNID WARTIME is distributed under the terms of the GNU General Public License.

    This file is part of REMOTE ETHER ARACHNID WARTIME.

    REMOTE ETHER ARACHNID WARTIME is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    REMOTE ETHER ARACHNID WARTIME is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with REMOTE ETHER ARACHNID WARTIME.  If not, see <http://www.gnu.org/licenses/>.
*/
package {
	import flash.display.Sprite;
	import flash.events.*;
	import flash.utils.*;
	import flash.system.fscommand;
	public class Mode extends Sprite {
		public static const MODE_CREDITS:uint=0;
		public static const MODE_MENU:uint=1;
		public static const MODE_HELP:uint=2;
		public static const MODE_GAME:uint=3;
		public static const MODE_GAMEOVER:uint=4;
		public static const MODE_WIN:uint=5;
		public static const MODE_STATS:uint=6;
		public static const MODE_CHEATS:uint=7;
		public static const MODE_START:uint=8;
		protected var switcher:ModeSwitcher;
		protected var listeners=new Array();
		public function Mode(switcher:ModeSwitcher){
			this.switcher=switcher;
		}
		public function addLocalEventListener(where:Object,type:String,func:Function){
			where.addEventListener(type,func,false,0,true);
			listeners.push([where,type,func]);
		}
		public function exitMode(){
			for(var i:int=0;i<listeners.length;i++){
				var a:Array=listeners[i];
				a[0].removeEventListener(a[1],a[2]);
			}
		}
		public function enterMode(){
			
		}
		public function simpleSchedule(milli:int,func:Function,repeat:int=1):Timer{
			var timer:Timer = new Timer(milli, repeat);
			addLocalEventListener(timer,TimerEvent.TIMER,func);
			timer.start();
			return timer;
		}
		public function quit(){
			fscommand("quit","true");
		}
	}
}